%define oname   ffi

Name:       ruby-%{oname}
Epoch:      1
Version:    1.9.0
Release:    %mkrel 6
Summary:    A ruby extension for programmatically loading dynamic libraries
License:    BSD
Group:      Development/Ruby
URL:        http://wiki.github.com/ffi/ffi
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: ffi5-devel

%description
Ruby-FFI is a ruby extension for programmatically loading dynamic
libraries, binding functions within them, and calling those functions
from Ruby code. Moreover, a Ruby-FFI extension works without changes
on Ruby and JRuby. Discover why should you write your next extension
using Ruby-FFI here[http://wiki.github.com/ffi/ffi/why-use-ffi].

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{epoch}:%{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}

%files          doc
%doc %{gem_docdir}
%doc History.txt README.md


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 1:1.9.0-6.mga4
+ Revision: 561878
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1:1.9.0-5.mga4
+ Revision: 561769
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1:1.9.0-4.mga4
+ Revision: 561203
- Fix gem macros

* Sun Dec 22 2013 pterjan <pterjan> 1:1.9.0-3.mga4
+ Revision: 560030
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 1:1.9.0-2.mga4
+ Revision: 538271
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 fwang <fwang> 1:1.9.0-1.mga4
+ Revision: 489115
- new version 1.9.0

* Sun Sep 29 2013 fwang <fwang> 1:1.8.1-1.mga4
+ Revision: 489108
- update file list
- new version 1.8.1

* Sun Sep 29 2013 pterjan <pterjan> 1:1.0.11-6.mga4
+ Revision: 488864
- Move the extension to the expected place

* Sat Sep 21 2013 pterjan <pterjan> 1:1.0.11-5.mga4
+ Revision: 482986
- Update file list
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 1:1.0.11-4.mga4
+ Revision: 479039
- Fix file list
- Use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1:1.0.11-3.mga3
+ Revision: 395955
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1:1.0.11-2.mga3
+ Revision: 380877
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1:1.0.11-1.mga3
+ Revision: 314035
- new version 1.0.11

* Sat Nov 03 2012 fwang <fwang> 1.1.5-2.mga3
+ Revision: 312999
- rebuild for new ruby

* Sat Aug 11 2012 shlomif <shlomif> 1.1.5-1.mga3
+ Revision: 280468
- New version 1.1.5

* Mon Aug 06 2012 luigiwalser <luigiwalser> 1.0.11-2.mga3
+ Revision: 278993
- rebuild for libffi

* Tue Jun 12 2012 shlomif <shlomif> 1.0.11-1.mga3
+ Revision: 259889
- Got to build without yardoc

  + solbu <solbu>
    - New version
    - Spec cleanup

* Tue Apr 19 2011 shikamaru <shikamaru> 1.0.7-1.mga1
+ Revision: 88768
- new version 1.0.7

* Sat Feb 19 2011 shikamaru <shikamaru> 0.6.3-1.mga1
+ Revision: 54164
- add sitearchdir in load path so that so file gets found
- Fix compatibility with rspec 2
- fix BuildRequires
- imported package ruby-ffi


* Sun Feb 13 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.6.3-1
- Initial package
